Get App By Id

Get an app's data by its id.

Path Parameters
  • app_id
    Type: string · App IdFormat: uuid
    required

    The unique identifier of the app to retrieve

Responses
  • application/json
  • application/json
Request Example for get/app/{app_id}
curl https://ai.hatz.ai/v1/app/123e4567-e89b-12d3-a456-426614174000 \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "name": "string",
  "description": "string",
  "default_model": "gpt-4o",
  "files": [
    {
      "size": 1,
      "module": "string",
      "file_id": "",
      "type_id": "",
      "file_key": "string",
      "file_type": "string",
      "object_id": "string",
      "description": "string",
      "display_name": "string",
      "variable_name": "string",
      "variable_type": "string"
    }
  ],
  "constants": [],
  "user_inputs": [
    {
      "position": 1,
      "required": true,
      "object_id": "string",
      "description": "string",
      "display_name": "string",
      "variable_name": "string",
      "variable_type": "string"
    }
  ],
  "prompt_sections": [
    {
      "body": "string",
      "position": 1
    }
  ]
}